#ifndef RTP_SEND_H
#define RTP_SEND_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef __unix
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <errno.h>
#include <sys/time.h>  /* struct timeval, gettimeofday() */
#include <sys/param.h> /* Might declare MAXHOSTNAMELEN */
#include <netdb.h>     /* Might declare MAXHOSTNAMELEN */
#include <unistd.h>    /* Might declare gethostname() */
#endif

#include "rtp_api.h"
#include "rtp_highlevel.h"

#ifndef RECEIVE_BUFFER_SIZE
#define RECEIVE_BUFFER_SIZE 65536
#endif

typedef struct _rtp_info{
  context cid;
  /* The two socket fds (RTP and RTCP) we need to select on. */
  socktype sock[2];
  int nfds;
  struct timeval start_time_tv;
  double start_time;
  char receive_buffer[RECEIVE_BUFFER_SIZE];
  int tsinc;
  char marker;
} rtp_info;

int rtp_init(rtp_info main_info, char *address);
int rtp_send(rtp_info main_info, char *data, int len, int period);

#endif /* RTP_SEND_H */




